Bug 13968 - Branch email hints are misleading
Summary: Branch email hints are misleading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-08 12:51 UTC by Martin Renvoize
Modified: 2017-12-07 22:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13968 - Branch email hints are misleading (3.14 KB, patch)
2017-02-18 16:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13968 - Branch email hints are misleading (3.17 KB, patch)
2017-02-21 16:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13968 - Branch email hints are misleading (3.22 KB, patch)
2017-02-21 18:14 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13968: Follow up - Clean HTML tags for hints (2.91 KB, patch)
2017-02-21 18:15 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13968 - Branch email hints are misleading (3.30 KB, patch)
2017-02-24 08:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13968: Follow up - Clean HTML tags for hints (2.98 KB, patch)
2017-02-24 08:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-04-08 12:51:35 UTC
In the branch settings since bug 9530 you have been able to set separate addresses for From, Reply-To and Return-Path.

With Reply-To and Return-Path there is a note, 'if different to Email', which infers that these address will fall back to the content of the 'Email' field.  This is not the case, actually they will fall back to the contents of the system settings for those fields, unless those settings have not been filled out either.

This note is therefore rather misleading.
Comment 1 Marc Véron 2017-02-18 16:24:45 UTC
Created attachment 60432 [details] [review]
Bug 13968 - Branch email hints are misleading

This patch replaces missleading notes with Reply-To and Return-Path fields
to reflect indicate falback values if they are empty (ReplyToDefault and
ReturnpathDefault system prefs).

To test:
- Apply patch
- In Home > Administration > Libraties and Groups, endit a library
- Verify that hints display for fields Reply-To and Return-Path, indicating
  their default values.
Comment 2 M. Tompsett 2017-02-21 16:05:52 UTC
Comment on attachment 60432 [details] [review]
Bug 13968 - Branch email hints are misleading

Review of attachment 60432 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/admin/branches.tt
@@ +186,5 @@
>                  <li><label for="branchphone">Phone: </label><input type="text" name="branchphone" id="branchphone" size="60" value="[% library.branchphone |html %]" /></li>
>                  <li><label for="branchfax">Fax: </label><input type="text" name="branchfax" id="branchfax" size="60" value="[% library.branchfax |html %]" /></li>
>                  <li><label for="branchemail">Email: </label><input type="text" name="branchemail" id="branchemail" class="email"  size="80" value="[% library.branchemail |html %]" /></li>
> +                <li><label for="branchreplyto">Reply-To: </label> <input type="text" name="branchreplyto" id="branchreplyto" class="email"  size="80" value="[% library.branchreplyto |html %]" /><br /><span class="hint"></hint>Default: ReplyToDefault system preference</li>
> +</li>

Extra </li>?
Comment 3 Marc Véron 2017-02-21 16:51:25 UTC
Created attachment 60531 [details] [review]
Bug 13968 - Branch email hints are misleading

This patch replaces missleading notes with Reply-To and Return-Path fields
to reflect indicate falback values if they are empty (ReplyToDefault and
ReturnpathDefault system prefs).

To test:
- Apply patch
- In Home > Administration > Libraties and Groups, edit a library
- Verify that hints display for fields Reply-To and Return-Path, indicating
  their default values.

Amended to remove extra </li> - 2017-02-21 mv
Comment 4 Marc Véron 2017-02-21 16:54:19 UTC
Extra </li> removed, switching back to NSO
Comment 5 M. Tompsett 2017-02-21 18:14:48 UTC
Created attachment 60534 [details] [review]
Bug 13968 - Branch email hints are misleading

This patch replaces missleading notes with Reply-To and Return-Path fields
to reflect indicate falback values if they are empty (ReplyToDefault and
ReturnpathDefault system prefs).

To test:
- Apply patch
- In Home > Administration > Libraties and Groups, edit a library
- Verify that hints display for fields Reply-To and Return-Path, indicating
  their default values.

Amended to remove extra </li> - 2017-02-21 mv

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2017-02-21 18:15:10 UTC
Created attachment 60535 [details] [review]
Bug 13968: Follow up - Clean HTML tags for hints

Should have been /span not /hint.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 Marc Véron 2017-02-21 19:44:51 UTC
(In reply to M. Tompsett from comment #6)
> Created attachment 60535 [details] [review] [review]
> Bug 13968: Follow up - Clean HTML tags for hints
> 
> Should have been /span not /hint.
> 
> Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Thanks, Mark, for fixing the /span issue, and sorry about, I was in a hurry.
Comment 8 Jonathan Druart 2017-02-24 08:19:45 UTC
Created attachment 60637 [details] [review]
Bug 13968 - Branch email hints are misleading

This patch replaces missleading notes with Reply-To and Return-Path fields
to reflect indicate falback values if they are empty (ReplyToDefault and
ReturnpathDefault system prefs).

To test:
- Apply patch
- In Home > Administration > Libraties and Groups, edit a library
- Verify that hints display for fields Reply-To and Return-Path, indicating
  their default values.

Amended to remove extra </li> - 2017-02-21 mv

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2017-02-24 08:19:49 UTC
Created attachment 60638 [details] [review]
Bug 13968: Follow up - Clean HTML tags for hints

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2017-03-03 17:09:06 UTC
Pushed to master for 17.05, thanks Marc, Mark!
Comment 11 Katrin Fischer 2017-03-12 22:48:39 UTC
This patch has been pushed to 16.11.x and will be in 16.11.05.
Comment 12 Mason James 2017-04-03 14:40:44 UTC
Pushed to 16.05.x, for 16.05.11 release